<?php
/**
* Header Options.
*
* @package Cleaning Maintenance
*/

$cleaning_maintenance_default = cleaning_maintenance_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'cleaning_maintenance_social_media_setting',
	array(
	'title'      => esc_html__( 'Social Media Settings', 'cleaning-maintenance' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'cleaning_maintenance_theme_option_panel',
	)
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_facebook_link',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_facebook_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_facebook_link',
    array(
    'label'    => esc_html__( 'Facebook Link', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_twitter_link',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_twitter_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_twitter_link',
    array(
    'label'    => esc_html__( 'Twitter Link', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_pintrest_link',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_pintrest_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_pintrest_link',
    array(
    'label'    => esc_html__( 'Pintrest Link', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_instagram_link',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_instagram_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_instagram_link',
    array(
    'label'    => esc_html__( 'Instagram Link', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'cleaning_maintenance_header_layout_youtube_link',
    array(
    'default'           => $cleaning_maintenance_default['cleaning_maintenance_header_layout_youtube_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'cleaning_maintenance_header_layout_youtube_link',
    array(
    'label'    => esc_html__( 'Youtube Link', 'cleaning-maintenance' ),
    'section'  => 'cleaning_maintenance_social_media_setting',
    'type'     => 'url',
    )
);